org.apache.felix.bundlerepository.impl

## Class FelixResourceAdapter

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.FelixResourceAdapter

All Implemented Interfaces:
  org.osgi.resource.Resource, org.osgi.service.repository.RepositoryContent

    public class FelixResourceAdapter
    extends java.lang.Object
    implements org.osgi.resource.Resource, org.osgi.service.repository.RepositoryContent

### Constructor Summary

Constructors
Constructor and Description
`FelixResourceAdapter(Resource resource)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.util.List<org.osgi.resource.Capability>` `getCapabilities(java.lang.String namespace)`
`java.io.InputStream` `getContent()`
`java.util.List<org.osgi.resource.Requirement>` `getRequirements(java.lang.String namespace)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FelixResourceAdapter

    public FelixResourceAdapter(Resource resource)

### Method Detail

#### getCapabilities

    public java.util.List<org.osgi.resource.Capability> getCapabilities(java.lang.String namespace)

Specified by:
  `getCapabilities` in interface `org.osgi.resource.Resource`

#### getContent

    public java.io.InputStream getContent()

Specified by:
  `getContent` in interface `org.osgi.service.repository.RepositoryContent`

#### getRequirements

    public java.util.List<org.osgi.resource.Requirement> getRequirements(java.lang.String namespace)

Specified by:
  `getRequirements` in interface `org.osgi.resource.Resource`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `org.osgi.resource.Resource`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `org.osgi.resource.Resource`
Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`